package com.gyee.wisdom.dao.point;

import com.gyee.wisdom.common.data.point.TestingPoint;
import com.gyee.wisdom.common.data.point.WindturbineTestingPoint;

import java.util.List;

public interface IWindturbineTestingPointDao {

    List<WindturbineTestingPoint> getAll();

    List<WindturbineTestingPoint>getListByPage(int pageIndex, int pageSize);

    WindturbineTestingPoint getPointById(String id);

    void save(WindturbineTestingPoint newPoint);

    void delete(String id);

    void  update(WindturbineTestingPoint point);

    List<WindturbineTestingPoint> findBycategory(Integer category);
}
